# Token list

This endpoint retrieves available Tokens managed by Trustlines.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/tokens
```

{% endtab %}
{% endtabs %}

## Parameters

The endpoint supports custom result limit and pagination via `limit` and `offset` query parameters.

{% content-ref url="/pages/anIB0BJR7of6Qa6LqUKl" %}
[Pagination](/api-documentation/api-concepts/pagination.md)
{% endcontent-ref %}

## Sorting results

The response may be sorted by passing the `sort` parameter. The `sort` parameter accepts the following values: `code` , `trustlines` , `holders` , `amms` ,`price` , `supply` , `marketcap` , `score` , `createdAt` , `updatedAt`&#x20;

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/tokens?sort=score
```

{% endtab %}
{% endtabs %}

Sort direction may be specified by passing `direction=asc` parameter for ascending order or `direction=desc` parameter for descending order.

## Example

{% tabs %}
{% tab title="curl" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://api.xrpscan.com/api/v1/tokens?sort=score&#x26;direction=desc
</strong></code></pre>

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "id": "524C555344000000000000000000000000000000.rMxCKbEDwqr76QuheSUMdEGf4B9xJ8m5De",
    "amms": 171,
    "code": "RLUSD",
    "createdAt": "2025-01-09T10:29:28.080Z",
    "currency": "524C555344000000000000000000000000000000",
    "holders": 33491,
    "issuer": "rMxCKbEDwqr76QuheSUMdEGf4B9xJ8m5De",
    "token": "RLUSD.rMxCKbEDwqr76QuheSUMdEGf4B9xJ8m5De",
    "updatedAt": "2025-07-03T18:47:21.597Z",
    "blackholed": false,
    "marketcap": 28970634.053129405,
    "price": 0.4395789888276604,
    "supply": 65905411.2900003,
    "meta": {
      "token": {
        "description": "Ripple USD (RLUSD) is natively issued on the XRP Ledger and Ethereum blockchains and is enabled with a number of features to ensure strict adherence to compliance standards, flexibility for developers, and security for holders.",
        "icon": "https://s1.xrplmeta.org/icon/5CEA036903.png",
        "name": "Ripple USD",
        "trust_level": 3,
        "weblinks": [
          {
            "url": "https://ripple.com",
            "title": "Official Website"
          }
        ]
      },
      "issuer": {
        "description": "We're building the Internet of Value.",
        "icon": "https://s1.xrplmeta.org/icon/CAEB5E0CD8.jpg",
        "kyc": true,
        "name": "RLUSD",
        "trust_level": 3,
        "weblinks": [
          {
            "url": "https://twitter.com/Ripple",
            "type": "socialmedia"
          }
        ]
      }
    },
    "metrics": {
      "trustlines": 61019,
      "holders": 33427,
      "supply": "65905411.2900162",
      "marketcap": "30180789.9515613",
      "price": "0.457941",
      "volume_24h": "1130734.21792498",
      "volume_7d": "5623264.31269795",
      "exchanges_24h": 7423,
      "exchanges_7d": 44699,
      "takers_24h": 337,
      "takers_7d": 1195
    },
    "disabled": false,
    "score": 0.4085713679973927,
    "IssuingAccount": {
      "name": "RLUSD",
      "desc": "Issuer",
      "account": "rMxCKbEDwqr76QuheSUMdEGf4B9xJ8m5De",
      "domain": "ripple.com/solutions/stablecoin",
      "twitter": "Ripple",
      "verified": true
    }
  },
  ...
  ...
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/token/token-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
